<?php 
    $wp_customize->add_section(
        'offerprobanner_area',
        array(
            'title' => __( 'Offer Banner Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'offerprobanner_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'offerprobanner_area_disable',
            array(
                'settings'      => 'offerprobanner_area_disable',
                'section'       => 'offerprobanner_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'offerprobanner', 'offerprobanner_area', $color='#ececec', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'topcatarea_padding', 'offerprobanner_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'offerprobanner_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'offerprobanner_areaTpadding',
    array(
        'settings'      => 'offerprobanner_areaTpadding',
        'section'       => 'offerprobanner_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'offerprobanner_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'offerprobanner_areaBpadding',
    array(
        'settings'      => 'offerprobanner_areaBpadding',
        'section'       => 'offerprobanner_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);
lzCustomLable($wp_customize, 'offerprobanner_limg', 'offerprobanner_area', 'Left Image');

 $wp_customize->add_setting(
        'offerprobanner_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'offerprobanner_image',
            array(
                'section' => 'offerprobanner_area',
                'settings' => 'offerprobanner_image',
                'description' => __('Recommended Image Size: 500X600px', 'luzuk-premium')
            )
        )
    );

$wp_customize->add_setting(
        'offerprobanner_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'New Product 30%', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'offerprobanner_text',
        array(
            'settings'      => 'offerprobanner_text',
            'section'       => 'offerprobanner_area',
            'type'          => 'text',
            'label'         => __( 'Section Text', 'luzuk-premium' )
        )
    );
addColorPalatOption($wp_customize, 'offerprobanner_page_sectextColor', 'offerprobanner_area', 'Section Text color', '#d83e34');

$wp_customize->add_setting(
        'offerprobanner_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Offer Sale Special Customers', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'offerprobanner_title',
        array(
            'settings'      => 'offerprobanner_title',
            'section'       => 'offerprobanner_area',
            'type'          => 'text',
            'label'         => __( 'Section Title', 'luzuk-premium' )
        )
    );
    addColorPalatOption($wp_customize, 'offerprobanner_page_sectitleColor', 'offerprobanner_area', 'Section Title color', '#000');

$wp_customize->add_setting(
        'offerprobanner_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'FULL HD TOUCH DIGITAL WATCH', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'offerprobanner_subtitle',
        array(
            'settings'      => 'offerprobanner_subtitle',
            'section'       => 'offerprobanner_area',
            'type'          => 'text',
            'label'         => __( 'Section Sub Title', 'luzuk-premium' )
        )
    );
addColorPalatOption($wp_customize, 'offerprobanner_page_secsubtitleColor', 'offerprobanner_area', 'Section Sub Title color', '#000');

lzCustomLable($wp_customize, 'offerprobannerarea_button_display', 'offerprobanner_area', 'Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'offerprobannerarea_button' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'offerprobannerarea_button', array( 'label' => 'Button Display', 'section' => 'offerprobanner_area', 'settings' => 'offerprobannerarea_button', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'offerprobannerbutton',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SHOP NOW' )
    )
);
$wp_customize->add_control(
    'offerprobannerbutton',
    array(
        'settings'      => 'offerprobannerbutton',
        'section'       => 'offerprobanner_area',
        'type'          => 'text',
        'label'         => __( 'Button text', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting('offerprobannerbuttonlink',   array('default'=> 'Add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('offerprobannerbuttonlink',
    array(
        'settings'      => 'offerprobannerbuttonlink',
        'section'       => 'offerprobanner_area',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'offerprobanner_page_ButtonColor', 'offerprobanner_area', 'Button Text color', '#000');
addColorPalatOption($wp_customize, 'offerprobanner_page_ButtoniconColor', 'offerprobanner_area', 'Button Icon color', '#f59870');
addColorPalatOption($wp_customize, 'offerprobanner_page_ButtoniconhoverColor', 'offerprobanner_area', 'Button Text & Icon Hover color', '#0d61cc');


lzCustomLable($wp_customize, 'offerprobanner_rimg', 'offerprobanner_area', 'Right Image');

 $wp_customize->add_setting(
        'offerprobanner2_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'offerprobanner2_image',
            array(
                'section' => 'offerprobanner_area',
                'settings' => 'offerprobanner2_image',
                'description' => __('Recommended Image Size: 500X600px', 'luzuk-premium')
            )
        )
    );


